Bug 1027726 - [RFE] Quota: Improve volume-quota-help subcommand to display usage information of all quota subcommands.
[RFE] Quota: Improve volume-quota-help subcommand to display usage informatio...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Manikandan
storage-qa-internal@redhat.com
: EasyFix, FutureFeature
Depends On:
Blocks: 1282727
  Show dependency treegraph
 
Reported: 2013-11-07 05:38 EST by Gowrishankar Rajaiyan
Modified: 2016-09-20 00:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1282727 (view as bug list)
Environment:
Last Closed: 2015-11-17 04:14:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-11-07 05:38:23 EST
Credit: Thanks to Krishnan Parthasarathi for identifying this as futurefeature.

Description of problem:
It would be nice to improve our volume-quota-help subcommand to display usage information of all quota subcommands in one place, like volume-set-help subcommand.

Version-Release number of selected component (if applicable):
glusterfs-server-3.4.0.39rhs-1.el6rhs.x86_64
Comment 2 Manikandan 2015-09-15 05:49:43 EDT
Currently, commands like 'gluster volume add-brick help', 'gluster volume remove-brick help' and other similar commands shows output like 'gluster volume quota help'. It would be nice to enhance the current framework to implement the proposed feature.

gluster v add-brick help
Usage: volume add-brick <VOLNAME> [<stripe|replica> <COUNT>] <NEW-BRICK> ... [force]
Comment 3 Manikandan 2015-09-15 05:50:18 EDT
(In reply to Manikandan from comment #2)
> Currently, commands like 'gluster volume add-brick help', 'gluster volume
> remove-brick help' and other similar commands shows output like 'gluster
> volume quota help'. It would be nice to enhance the current framework to
> implement the proposed feature.
> 
> gluster v add-brick help
> Usage: volume add-brick <VOLNAME> [<stripe|replica> <COUNT>] <NEW-BRICK> ...
> [force]

gluster volume quota help
Usage: volume quota <VOLNAME> {enable|disable|list [<path> ...]| list-objects [<path> ...] | remove <path>| remove-objects <path> | default-soft-limit <percent>} |
volume quota <VOLNAME> {limit-usage <path> <size> [<percent>]} |
volume quota <VOLNAME> {limit-objects <path> <number> [<percent>]} |
volume quota <VOLNAME> {alert-time|soft-timeout|hard-timeout} {<time>}
Comment 4 Vijaikumar Mallikarjuna 2015-11-17 04:14:09 EST
As 2.1 is EOL'ed, closing this bug and filed 3.1 bug# 1282727

Note You need to log in before you can comment on or make changes to this bug.